/*
 *  Copyright (C) 2002 Matthew Colyer (linuxcoder@colyer.org)
 *  Copyright (C) 2002 Anatoly Asviyan (aka Arsen)
 *	Copyright (C) 2000 Peter Zelezny
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
#include <time.h>
#include <sys/time.h>
#include <sys/types.h>
#include <gtk/gtk.h>
#include "clock.h"

static GtkWidget *clockw;

static gint update_clock(gpointer data)
{
	gchar *time_str;
	time_t now;

	now = time(0);
	
	//The lines below are an ugly hack to just get minutes and hours
	time_str = ctime(&now)+11;
	time_str[5] = 0;
	
	gtk_label_set_text(GTK_LABEL(clockw), time_str);
	return TRUE;
}



GtkWidget *clock_init()
{
	GtkWidget *b1;

	b1 = gtk_button_new();
	clockw = gtk_label_new("26:87");
	gtk_button_set_relief(GTK_BUTTON(b1), GTK_RELIEF_NONE);
	gtk_widget_show(clockw);
	gtk_container_add(GTK_CONTAINER(b1), clockw);
	gtk_widget_show(b1);
	update_clock(NULL);
	gtk_timeout_add(50000, update_clock, NULL);
	return b1;
}
